//*****************************************************************************
//* Name:
//*      1212file.h
//*
//* Project:
//*      1212 I/O VxD
//*
//* Author:
//*      Bill Jenkins
//*
//* Description:
//*      This file contains the absolute path to the DSP microcode file.
//*      The microcode file contains the code that is downloaded to the
//*      card at configuration time.
//*
//* Modification Log:
//*
//*      1.1   11/15/96 Bill
//*      Initial version created.  
//*
//*
//* Copyright (c) 1996 Korg, Inc.
//* All rights reserved.
//*
//* This program is protected as an unpublished work under the U.S.
//* copyright laws.  The above copyright notice is not intended to
//* effect a publication of this work.
//*
//* This program is the confidential and proprietary information of
//* Korg and all its subsidiaries.
//*****************************************************************************

#ifndef K1212FILE_H
#define K1212FILE_H


HANDLE openFileRO(char* filePath);       // attempts to open the specified file
                                         //   as read-only.  Returns the file handle

DWORD  getFileSize(HANDLE fileHandle);   // returns the size of the file

BOOL   readFile(HANDLE fileHandle,       // reads the file into memory
                PVOID  memHandle,        //   this function assumes that the memory
                DWORD  numBytes);        //   pointer points to sufficient
                                         //   memory to read the file

BOOL   closeFile(HANDLE fileHandle);     // closes the specified file


#endif // K1212FILE_H
